org.opencv.features2d

## Class ORB

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.Feature2D
    - - org.opencv.features2d.ORB

-     public class ORB
      extends Feature2D

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FAST_SCORE`
    `static int` | `HARRIS_SCORE`
    `static int` | `kBytes`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ORB(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ORB` | `__fromPtr__(long addr)`
    `static ORB` | `create()`
    `static ORB` | `create(int nfeatures)`
    `static ORB` | `create(int nfeatures, float scaleFactor)`
    `static ORB` | `create(int nfeatures, float scaleFactor, int nlevels)`
    `static ORB` | `create(int nfeatures, float scaleFactor, int nlevels, int edgeThreshold)`
    `static ORB` | `create(int nfeatures, float scaleFactor, int nlevels, int edgeThreshold, int firstLevel)`
    `static ORB` | `create(int nfeatures, float scaleFactor, int nlevels, int edgeThreshold, int firstLevel, int WTA_K)`
    `static ORB` | `create(int nfeatures, float scaleFactor, int nlevels, int edgeThreshold, int firstLevel, int WTA_K, int scoreType)`
    `static ORB` | `create(int nfeatures, float scaleFactor, int nlevels, int edgeThreshold, int firstLevel, int WTA_K, int scoreType, int patchSize)`
    `static ORB` | `create(int nfeatures, float scaleFactor, int nlevels, int edgeThreshold, int firstLevel, int WTA_K, int scoreType, int patchSize, int fastThreshold)`
    `protected void` | `finalize()`
    `java.lang.String` | `getDefaultName()`
    `int` | `getEdgeThreshold()`
    `int` | `getFastThreshold()`
    `int` | `getFirstLevel()`
    `int` | `getMaxFeatures()`
    `int` | `getNLevels()`
    `int` | `getPatchSize()`
    `double` | `getScaleFactor()`
    `int` | `getScoreType()`
    `int` | `getWTA_K()`
    `void` | `setEdgeThreshold(int edgeThreshold)`
    `void` | `setFastThreshold(int fastThreshold)`
    `void` | `setFirstLevel(int firstLevel)`
    `void` | `setMaxFeatures(int maxFeatures)`
    `void` | `setNLevels(int nlevels)`
    `void` | `setPatchSize(int patchSize)`
    `void` | `setScaleFactor(double scaleFactor)`
    `void` | `setScoreType(int scoreType)`
    `void` | `setWTA_K(int wta_k)`

    - ### Methods inherited from class org.opencv.features2d.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### kBytes

          public static final int kBytes

      See Also:
        Constant Field Values

    - #### HARRIS_SCORE

          public static final int HARRIS_SCORE

      See Also:
        Constant Field Values

    - #### FAST_SCORE

          public static final int FAST_SCORE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ORB

          protected ORB(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static ORB __fromPtr__(long addr)

    - #### create

          public static ORB create(int nfeatures,
                                   float scaleFactor,
                                   int nlevels,
                                   int edgeThreshold,
                                   int firstLevel,
                                   int WTA_K,
                                   int scoreType,
                                   int patchSize,
                                   int fastThreshold)

    - #### create

          public static ORB create(int nfeatures,
                                   float scaleFactor,
                                   int nlevels,
                                   int edgeThreshold,
                                   int firstLevel,
                                   int WTA_K,
                                   int scoreType,
                                   int patchSize)

    - #### create

          public static ORB create(int nfeatures,
                                   float scaleFactor,
                                   int nlevels,
                                   int edgeThreshold,
                                   int firstLevel,
                                   int WTA_K,
                                   int scoreType)

    - #### create

          public static ORB create(int nfeatures,
                                   float scaleFactor,
                                   int nlevels,
                                   int edgeThreshold,
                                   int firstLevel,
                                   int WTA_K)

    - #### create

          public static ORB create(int nfeatures,
                                   float scaleFactor,
                                   int nlevels,
                                   int edgeThreshold,
                                   int firstLevel)

    - #### create

          public static ORB create(int nfeatures,
                                   float scaleFactor,
                                   int nlevels,
                                   int edgeThreshold)

    - #### create

          public static ORB create(int nfeatures,
                                   float scaleFactor,
                                   int nlevels)

    - #### create

          public static ORB create(int nfeatures,
                                   float scaleFactor)

    - #### create

          public static ORB create(int nfeatures)

    - #### create

          public static ORB create()

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Overrides:
        `getDefaultName` in class `Feature2D`

    - #### getScaleFactor

          public double getScaleFactor()

    - #### getEdgeThreshold

          public int getEdgeThreshold()

    - #### getFastThreshold

          public int getFastThreshold()

    - #### getFirstLevel

          public int getFirstLevel()

    - #### getMaxFeatures

          public int getMaxFeatures()

    - #### getNLevels

          public int getNLevels()

    - #### getPatchSize

          public int getPatchSize()

    - #### getScoreType

          public int getScoreType()

    - #### getWTA_K

          public int getWTA_K()

    - #### setEdgeThreshold

          public void setEdgeThreshold(int edgeThreshold)

    - #### setFastThreshold

          public void setFastThreshold(int fastThreshold)

    - #### setFirstLevel

          public void setFirstLevel(int firstLevel)

    - #### setMaxFeatures

          public void setMaxFeatures(int maxFeatures)

    - #### setNLevels

          public void setNLevels(int nlevels)

    - #### setPatchSize

          public void setPatchSize(int patchSize)

    - #### setScaleFactor

          public void setScaleFactor(double scaleFactor)

    - #### setScoreType

          public void setScoreType(int scoreType)

    - #### setWTA_K

          public void setWTA_K(int wta_k)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3